jenkins: add a new job to check --join-ns

Submitted by Andrei Vagin on April 30, 2016, 12:58 a.m.

Details

Message ID 1461977926-16064-1-git-send-email-avagin@openvz.org
State Accepted
Series "jenkins: add a new job to check --join-ns"
Commit 477fe934d7ce555442ddfc5d3da0e7cdedba0110
Headers show

Commit Message

Andrei Vagin April 30, 2016, 12:58 a.m.
From: Andrew Vagin <avagin@virtuozzo.com>

Signed-off-by: Andrew Vagin <avagin@virtuozzo.com>
---
 test/jenkins/criu-join-ns.sh | 7 +++++++
 1 file changed, 7 insertions(+)
 create mode 100755 test/jenkins/criu-join-ns.sh

Patch hide | download patch | download mbox

diff --git a/test/jenkins/criu-join-ns.sh b/test/jenkins/criu-join-ns.sh
new file mode 100755
index 0000000..39ef182
--- /dev/null
+++ b/test/jenkins/criu-join-ns.sh
@@ -0,0 +1,7 @@ 
+# Make one regular C/R cycle
+set -e
+source `dirname $0`/criu-lib.sh
+prep
+mkdir -p /var/run/netns
+mount -t tmpfs zdtm_run /var/run/netns
+./test/zdtm.py run --all --keep-going --report report --join-ns || fail

Comments

Pavel Emelianov May 4, 2016, 7:27 a.m.
Applied